Page MenuHomePhabricator

Remove "Automatically create landing page link" feature
Closed, ResolvedPublic1 Estimated Story Points

Description

While cleaning up the CentralNotice admin interface is on people's minds, I think we can safely get rid of the "Automatically create landing page link" feature when editing a banner. This was only ever used by Fundraising, and hasn't been used in several years since banners always link straight to payments wiki now. In the unlikely event we do ever need similar behaviour in future, it's trivial to implement in javascript.

Tech can decide whether to wipe out that code completely, or just hide the option from the interface.

AW: Let's remove it. Confirmed that it's been unused for 2 years.

Event Timeline

Pcoombe created this task.May 11 2015, 4:17 PM
Pcoombe raised the priority of this task from to Needs Triage.
Pcoombe updated the task description. (Show Details)
Pcoombe added subscribers: Pcoombe, MeganHernandez_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2015, 4:17 PM
atgo triaged this task as Low priority.May 18 2015, 4:46 PM
atgo added a subscriber: atgo.

Thanks @Pcoombe. We're working on campaigns stuff now, but when we get to banners, for sure we'll take this into account.

awight renamed this task from Remove/hide "Automatically create landing page link" feature to Remove "Automatically create landing page link" feature.Jul 28 2015, 10:27 PM
awight updated the task description. (Show Details)
awight set Security to None.
awight added a subscriber: AndyRussG.
AndyRussG edited a custom field.
AndyRussG moved this task from Backlog to Doing on the Fundraising Sprint The Pogues board.

Change 227647 had a related patch set uploaded (by AndyRussG):
Remove automatic landing page links feature

https://gerrit.wikimedia.org/r/227647

Change 227647 merged by jenkins-bot:
Remove automatic landing page links feature

https://gerrit.wikimedia.org/r/227647

AndyRussG closed this task as Resolved.Sep 3 2015, 4:27 PM